WVTAG(1)

NAME
wvtag - metadata utility for wavpack files

SYNOPSIS

wvtag [-options] INFILE...

DESCRIPTION

wvtag applies the specified metadata operation(s) to each of the specified WavPack source file(s) in this order: clean, import, delete, write, extract, list. Note that WavPack metadata is stored in APEv2 tags, and this tool will automatically import from an ID3v1 tag if it is the only tag present on the source file, and that ID3v1 tag will be deleted and replaced with an APEv2 tag if an edit is requested.

OPTIONS

--allow-huge-tags
    allow tag data up to 16 MB (embedding > 1 MB is not recommended for portable devices and may not work with some programs including WavPack pre-4.70)

-c
    extract cuesheet only to stdout (equivalent to -x “cuesheet”)

-cc
    extract cuesheet to source-name.cue file in same directory as source file (equivalent to -xx “cuesheet=%a.cue”)

--clean, --clear
    clean all items from tag (done first)

-d “Field”
    delete specified metadata item (text or binary)

-h, --help
    this help display

--import-id3
    import applicable tag items from ID3v2.3 tag present in DSF (and other) files into APEv2 tag (if there are > 1 MB cover images present add --allow-huge-tags to include them)

-l, --list
    list all tag items (done last)

--no-utf8-convert
    don't recode passed tags from local encoding to UTF-8, assume they are in UTF-8 already

-q
    quiet (keep console output to a minimum)

-v, --version
    write program version to stdout

-w “Field=”
    delete specified metadata item (text or binary)

-w “Field=Value”
    write specified text metadata to APEv2 tag

-w “Field=@file.ext”
    write specified text metadata from file to APEv2 tag, normally used for embedded cuesheets and logs (field names “Cuesheet” and “Log”)

--write-binary-tag “Field=@file.ext”
    write the specified binary metadata file to APEv2 tag, normally used for cover art with the specified field name “Cover Art (Front)”

-x “Field”
    extract the specified tag field only to stdout

-xx “Field[=file]”
    extract the specified tag field to named file in same directory as source file; optional filename specification may contain %a which is replaced with the audio file base name, %t replaced with the tag field name (note: comes from data for binary tags) and %e replaced with the extension from the binary tag source file (or “txt” for text tag).

-y
    yes to all warnings (use with caution!)

SEE ALSO

wavpack(1), wvunpack(1), wvgain(1)

Please visit www.wavpack.com for more information

COPYRIGHT

This manual page was written by David Bryant <david@wavpack.com>. Permission is granted to copy, distribute and/or modify this document under the terms of the BSD License.

AUTHOR

David Bryant <david@wavpack.com>
    Author

COPYRIGHT
Copyright © 2022 David Bryant